rb_transcoder Struct Reference

`#include <transcode_data.h>`

## Data Fields

const char * | src_encoding
const char * | dst_encoding
unsigned int | conv_tree_start
const unsigned char * | byte_array
unsigned int | byte_array_length
const unsigned int * | word_array
unsigned int | word_array_length
int | word_size
int | input_unit_length
int | max_input
int | max_output
rb_transcoder_asciicompat_type_t | asciicompat_type
size_t | state_size
int(* | state_init_func )(void *)
int(* | state_fini_func )(void *)
VALUE(* | func_ii )(void *, VALUE)
VALUE(* | func_si )(void *, const unsigned char *, size_t)
ssize_t(* | func_io )(void *, VALUE, const unsigned char *, size_t)
ssize_t(* | func_so )(void *, const unsigned char *, size_t, unsigned char *, size_t)
ssize_t(* | finish_func )(void *, unsigned char *, size_t)
ssize_t(* | resetsize_func )(void *)
ssize_t(* | resetstate_func )(void *, unsigned char *, size_t)
ssize_t(* | func_sio )(void *, const unsigned char *, size_t, VALUE, unsigned char *, size_t)

## Detailed Description

Definition at line 84 of file transcode_data.h.

## Field Documentation

rb_transcoder_asciicompat_type_t rb_transcoder::asciicompat_type

Definition at line 96 of file transcode_data.h.

Referenced by asciicompat_encoding_i(), decorate_convpath(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_encoding_to_insert_output(), and rb_econv_insert_output().

const unsigned char* rb_transcoder::byte_array

Definition at line 88 of file transcode_data.h.

unsigned int rb_transcoder::byte_array_length

Definition at line 89 of file transcode_data.h.

unsigned int rb_transcoder::conv_tree_start

Definition at line 87 of file transcode_data.h.

Referenced by transcode_restartable0().

const char* rb_transcoder::dst_encoding

Definition at line 86 of file transcode_data.h.

Referenced by asciicompat_encoding_i(), decorate_convpath(), econv_convpath(), make_econv_exception(), make_replacement(), rb_econv_add_transcoder_at(), rb_econv_convert0(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_encoding_to_insert_output(), rb_econv_init_by_convpath(), and rb_register_transcoder().

ssize_t(* rb_transcoder::finish_func)(void *, unsigned char *, size_t)

Definition at line 104 of file transcode_data.h.

Referenced by transcode_restartable0().

VALUE(* rb_transcoder::func_ii)(void *, VALUE)

Definition at line 100 of file transcode_data.h.

Referenced by transcode_restartable0().

ssize_t(* rb_transcoder::func_io)(void *, VALUE, const unsigned char *, size_t)

Definition at line 102 of file transcode_data.h.

Referenced by transcode_restartable0().

VALUE(* rb_transcoder::func_si)(void *, const unsigned char *, size_t)

Definition at line 101 of file transcode_data.h.

Referenced by transcode_restartable0().

ssize_t(* rb_transcoder::func_sio)(void *, const unsigned char *, size_t, VALUE, unsigned char *, size_t)

Definition at line 107 of file transcode_data.h.

Referenced by transcode_restartable0().

ssize_t(* rb_transcoder::func_so)(void *, const unsigned char *, size_t, unsigned char *, size_t)

Definition at line 103 of file transcode_data.h.

Referenced by transcode_restartable0().

int rb_transcoder::input_unit_length

Definition at line 93 of file transcode_data.h.

Referenced by transcode_restartable0().

int rb_transcoder::max_input

Definition at line 94 of file transcode_data.h.

Referenced by rb_transcoding_close(), rb_transcoding_memsize(), and rb_transcoding_open_by_transcoder().

int rb_transcoder::max_output

Definition at line 95 of file transcode_data.h.

Referenced by rb_econv_substr_append(), rb_transcoding_close(), rb_transcoding_memsize(), rb_transcoding_open_by_transcoder(), transcode_loop(), and transcode_restartable0().

ssize_t(* rb_transcoder::resetsize_func)(void *)

Definition at line 105 of file transcode_data.h.

ssize_t(* rb_transcoder::resetstate_func)(void *, unsigned char *, size_t)

Definition at line 106 of file transcode_data.h.

const char* rb_transcoder::src_encoding

Definition at line 85 of file transcode_data.h.

Referenced by decorate_convpath(), econv_convpath(), make_econv_exception(), rb_econv_add_transcoder_at(), rb_econv_convert0(), rb_econv_decorate_at_first(), rb_econv_decorate_at_last(), rb_econv_encoding_to_insert_output(), rb_econv_init_by_convpath(), and rb_register_transcoder().

int(* rb_transcoder::state_fini_func)(void *)

Definition at line 99 of file transcode_data.h.

Referenced by rb_transcoding_close().

int(* rb_transcoder::state_init_func)(void *)

Definition at line 98 of file transcode_data.h.

Referenced by rb_transcoding_open_by_transcoder().

size_t rb_transcoder::state_size

Definition at line 97 of file transcode_data.h.

Referenced by rb_transcoding_memsize(), and rb_transcoding_open_by_transcoder().

const unsigned int* rb_transcoder::word_array

Definition at line 90 of file transcode_data.h.

unsigned int rb_transcoder::word_array_length

Definition at line 91 of file transcode_data.h.

int rb_transcoder::word_size

Definition at line 92 of file transcode_data.h.

The documentation for this struct was generated from the following file:

- transcode_data.h